Skip to content
Docs

Add a position

POST
/api/workspaces/{ws}/positions

A holder is a hire (hireId), a person (userId and/or chat), or nobody. 400 for a circle of managers, a second lead in a department, a hire already in a position, or a holder that is both a hire and a person.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

Request Body

application/json
  1. body
title*string
Length1 <= length <= 120
departmentId?|
Defaultnull
managerPositionId?|
Defaultnull
leadsDepartment?boolean
Defaultfalse
hireId?|
Defaultnull
userId?|
Defaultnull
chat?|
Defaultnull
goalMode?string
Default"manager_sets"
Value in"manager_sets""report_proposes""report_sets"
monthlyHours?|
Defaultnull

Response Body

The position.

Example Request
curl -X POST 'https://app.useroster.work/api/workspaces/string/positions' \  -H 'Content-Type: application/json' \  -d '{  "title": "string"}'
Example Response
Empty